Skip to main content
Back to API List Fetches the status of a proactive notification triggered via the async webhook channel.
FieldValue
MethodGET
Endpoint{{host}}/api/public/bot/{{streamId}}/notifyV2/status/{{dockstatusId}}
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Proactive Messages; Admin Console: Channel Management > Proactive Messages

Path Parameters

ParameterRequired/OptionalDescription
hostRequiredThe environment URL. For example, https://platform.kore.ai
BotIdRequiredBot ID or Stream ID. Accessible under General Settings on the App Builder. Note: Required only for App Builder API scope of Proactive Messages.
requestIdRequiredThe unique Request ID returned by the Proactive Notifications API to track progress.

Sample Request

curl --location 'https://{{host}}/api/public/bot/{{StreamId}}/notifyV2/status/{{dockstatusId}}'
--header 'auth: {{jwt-token}}'

Body Parameters

No body parameters are passed.

Sample Response

{
   "statusLogs": [
       {
           "_id": "nl-64c2a45e-1700-58f5-a474-add8bfc86f13",
           "streamId": "st-736ff917-d836-55b4-9a6b-3dad20c09af3",
           "messagestoreId": "ms-71acc889-b3ad-59be-9c51-865a76f24972",
           "comments": "Notification has been sent successfully",
           "koreId": "u-a1414a00-5089-5009-9365-dd3a6a09f107",
           "channelId": "john.doe@example.com",
           "channel": "ivr",
           "originalId": "john.doe@example.com",
           "requestId": "ds-adddc869-d773-5785-9c6a-cfe1cbd9df1b",
           "status": "SUCCESS",
           "createdBy": "u-ecff03e8-ba90-532e-ab7b-209082d91936",
           "createdOn": "2025-05-26T05:53:22.883Z",
           "__v": 0
       },
       {
           "_id": "nl-6f6a927d-a61b-50df-8089-25937ff610f8",
           "streamId": "st-736ff917-d836-55b4-9a6b-3dad20c09af3",
           "messagestoreId": "ms-7967b15a-e716-5d62-851c-f5d92781efb2",
           "comments": "Notification has been sent successfully",
           "koreId": "u-8490f9d4-193c-576b-a746-5974688f42a7",
           "channelId": "john.doe@example.com",
           "channel": "ivr",
           "originalId": "john.doe@example.com",
           "requestId": "ds-adddc869-d773-5785-9c6a-cfe1cbd9df1b",
           "status": "SUCCESS",
           "createdBy": "u-ecff03e8-ba90-532e-ab7b-209082d91936",
           "createdOn": "2025-05-26T05:53:22.954Z",
           "__v": 0
       }
   ],
   "count": 2,
   "status": "SUCCESS",
   "streamId": "st-736ff917-d836-55b4-9a6b-3dad20c09af3"
}